/// <reference types="highcharts" />
import { OnInit, AfterViewInit, OnChanges, SimpleChanges } from '@angular/core';
import { IChartConfig, IChartSeries } from './highchart-platform-interfaces';
import * as Highcharts from 'highcharts';
export declare class HighchartPlatformComponent implements OnInit, AfterViewInit, OnChanges {
    tooltip: {
        headerFormat: any;
        pointFormat: string;
    };
    id: string;
    type: string;
    title: string;
    subtitle: string;
    data: IChartSeries[];
    xAxis: string;
    overrideConfig: IChartConfig;
    config: Highcharts.Options;
    constructor();
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    private createChart();
    private prepareChartConfig();
}
